Bug 269608 - can't paste selected text with middle click
Summary: can't paste selected text with middle click
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: usability (show other bugs)
Version: unspecified
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-28 14:12 UTC by Adrien
Modified: 2011-07-04 17:48 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien 2011-03-28 14:12:57 UTC
Version:           unspecified (using KDE 4.5.5) 
OS:                Linux

kword is no longer able to paste from the selection buffer with the
middle mouse click, even when the selected text comes from the same
document.  A middle click will paste from the clipboard.  Selecting
text in kword will populate the selection buffer, so you can select
something in kword and paste it to an xterm, but you no longer can
select in an xterm and paste to kword.

This bug was reported on the Debian Bug Tracking System :
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=600153

Reproducible: Always

Steps to Reproduce:
select a text in xterm or konsole for instance.
Do a middle click in a words document.

Actual Results:  
The selection isn't copied.
Comment 1 Sune Vuorela 2011-07-03 22:43:18 UTC
This bug is still valid using v1.9.95.4-25160-g5ff4082
Comment 2 Sune Vuorela 2011-07-04 17:48:48 UTC
Git commit ff669f25e5013b8e44ddc21adf77707ee1b045c7 by Sune Vuorela.
Committed on 04/07/2011 at 11:21.
Pushed by sune into branch 'master'.

make pasting from selection work in text tool.

BUG: 269608
REVIEW: 101845
 
M  +10   -2    plugins/textshape/TextTool.cpp     
 
http://commits.kde.org/calligra/ff669f25e5013b8e44ddc21adf77707ee1b045c7